Subject: Re: [netatalk-admins] custom Icon

From: Peter Gutowski <[email-masked]>
Date: 15 Jul 99 08:35:46 -0400

Reply to:   Re: [netatalk-admins] custom Icon
in etc/afpd you'll find the file "icon.h". There are a bunch of #ifelse things but fundamentally each defines the same thing: an array called 'icon'. Look for this:

#else
const u_char    icon[] = {      /* globe */
    0x0, 0x0, 0x0, 0x0, 0x0, 0xF, 0xF0, 0x0,
    0x0, 0x30, 0xC, 0x0, 0x0, 0xC0, 0x3, 0x0...... etc

What you have here is 128 bytes (32 rows of 32 bits) of bitmap data followed by 128 bytes of icon mask, for a total of 256 bytes. I can only say that this is where the "globe" icon comes from, and haven't played with these things to know how extensible this might be to add other data structures (like 'cicn's or whatever).

Dave Ritter wrote:
>I would really like to know where the "default" icon for netatalk is >located...
>
>It would be nice to update the old icon with some color. I know I can
>put any icon on the volume by pasting a new icon in the "get info" box -
>this is not what I want to do. On AppleShare servers (from apple) you
>get a different icon depending on how you connect to the server (tcp/ip
>or AppleTalk)
>
>"Pasted" icons are subject to changes and or deletion by users, If I
>could change the "built in" icon for netatalk, this would be much harder
>for users to "alter"...
>
>>From: "Harry Zink/Netatalk List" <[email-masked]>
>>To: [email-masked], [email-masked]
>>Subject: Re: [netatalk-admins] custom Icon
>>Date: Wed, Jul 14, 1999, 10:47 AM
>>
>
>>> Could you tell how I customise my netatalk icon on the Macintosh?
>>
>> find an icon you like. do 'get info' on the file. copy the icon to the
>> clipboard.
>>
>> find your netatalk server icon. do 'get info' on the file. paste the icon
>> from the clipboard.
>>